Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.general
Interface SeriesDataset

All Superinterfaces:
  Dataset

All Known Subinterfaces:
  BoxAndWhiskerXYDataset, ContourDataset, IntervalXYDataset, IntervalXYZDataset, OHLCDataset, TableXYDataset, WindDataset, XYDataset, XYZDataset

All Known Implementing Classes:
  AbstractIntervalXYDataset, AbstractSeriesDataset, AbstractXYDataset, AbstractXYZDataset, CategoryTableXYDataset, CombinedDataset, CyclicXYItemRenderer.OverwriteDataSet, DefaultBoxAndWhiskerXYDataset, DefaultContourDataset, DefaultHighLowDataset, DefaultIntervalCategoryDataset, DefaultIntervalXYDataset, DefaultOHLCDataset, DefaultTableXYDataset, DefaultWindDataset, DefaultXYDataset, DefaultXYZDataset, DynamicTimeSeriesCollection, HistogramDataset, JDBCXYDataset, MatrixSeriesCollection, NonGridContourDataset, OHLCSeriesCollection, SimpleHistogramDataset, SubSeriesDataset, TaskSeriesCollection, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XIntervalSeriesCollection, XYBarDataset, XYIntervalSeriesCollection, XYSeriesCollection, YIntervalSeriesCollection

    public interface SeriesDataset

extends Dataset

The interface for a dataset consisting of one or many series of data.

See Also:
  `CategoryDataset`, `IntervalXYDataset`, `IntervalXYZDataset`, `XYDataset`, `XYZDataset`

Method Summary
`int` | `getSeriesCount()` Returns the number of series in the dataset.
`java.lang.Comparable` | `getSeriesKey(int series)` Returns the key for a series.
`int` | `indexOf(java.lang.Comparable seriesKey)` Returns the index of the series with the specified key, or -1 if there is no such series in the dataset.

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getSeriesCount

    int getSeriesCount()

  Returns the number of series in the dataset.

  Returns:
    The series count.

### getSeriesKey

    java.lang.Comparable getSeriesKey(int series)

  Returns the key for a series.

  Parameters:
    `series` - the series index (in the range `0` to `getSeriesCount() - 1`).
  Returns:
    The key for the series.

### indexOf

    int indexOf(java.lang.Comparable seriesKey)

  Returns the index of the series with the specified key, or -1 if there is no such series in the dataset.

  Parameters:
    `seriesKey` - the series key (`null` permitted).
  Returns:
    The index, or -1.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD